//---------------------------------------------------------------------------

#ifndef MainFormUnitH
#define MainFormUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Grids.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <XPMan.hpp>
#include <CustomizeDlg.hpp>
#include <Dialogs.hpp>
//---------------------------------------------------------------------------
class TFrmMain : public TForm
{
__published:	// Von der IDE verwaltete Komponenten
	TButton *BtnOSFile;
	TEdit *EdtOSFile;
	TLabel *Label1;
	TListBox *LbxModules;
	THeaderControl *HctModules;
	TLabel *Label2;
	TOpenDialog *OpdOSFile;
	TButton *BtnExport;
	TButton *BtnReplace;
	TButton *BtnSave;
	TButton *BtnExit;
	TXPManifest *XPManifest1;
	TCheckBox *ChkHexDraw;
	TButton *BtnAbout;
	TOpenDialog *OpdReplaceFile;
	TSaveDialog *SvdOSFile;
	TSaveDialog *SvdAppFile;
	TCheckBox *ChkExperimental;
    TButton *BtnSaveHex;
    TSaveDialog *SvdOSHexFile;
	void __fastcall LbxModulesDrawItem(TWinControl *Control, int Index, TRect &Rect,
          TOwnerDrawState State);
	void __fastcall BtnOSFileClick(TObject *Sender);
	void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
	void __fastcall BtnExitClick(TObject *Sender);
	void __fastcall LbxModulesClick(TObject *Sender);
	void __fastcall ModulesRefresh(TObject *Sender);
	void __fastcall BtnReplaceClick(TObject *Sender);
	void __fastcall BtnSaveClick(TObject *Sender);
	void __fastcall BtnExportClick(TObject *Sender);
	void __fastcall BtnAboutClick(TObject *Sender);
    void __fastcall BtnSaveHexClick(TObject *Sender);
private:	// Benutzer-Deklarationen
public:		// Benutzer-Deklarationen
	__fastcall TFrmMain(TComponent* Owner);
    void __fastcall scanForModules (void);
};
//---------------------------------------------------------------------------
extern PACKAGE TFrmMain *FrmMain;
//---------------------------------------------------------------------------
#endif
